Support » Plugin: YITH WooCommerce Wishlist » Can I make this plugin use my already installed FontAwesome please?

  • Resolved eqr2020

    (@eqr2020)


    I want the very simple feature of having an empty heart for items not yet added, and a filled heart for items added to the wishlist.

    Unfortunately there’s some conflicts most likely due to multiple installations of Font Awesome, so only the empty heart icon could load (Font Awesome 4, I suppose? I’m not sure).

    Either way, I fixed the problem by changing the $icon in the backend of the plugin to instead be “fas fa-heart” and “far fa-heart”, as Font Awesome’s own documentation has, and it works perfectly… but I really think this is an unclean way to fix this.

    A lot of plugin use Font Awesome already, including – obviously – FA’s own plugin. Is it possible in some way to set up Yith Wishlist to use the icons available from FA instead of the FA installation that came with Yith’s own installation?

    Apologize if phrased oddly, I struggle with explaining these things.

    Best regards

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author YITHEMES

    (@yithemes)

    Hi there

    we currently use version 4 of FontAwesome, and we plan to switch to version 5 with next major release
    Anyway, basically plugin just print classes, so any installation of FontAwesome would work just fine

    The real problem is that they completely changed their naming convention passing from version 4 to 5, without granting backward compatibility
    And this means that you’ll need t have a copy of FontAwesome 4 on your site, in order for wishlist to work properly, at least till next major release

    If you’re having troubles displaying icons, I’d be happy to help, but I’ll need an url to your installation, where I can see the issue

    Hi and thanks for getting back to me.

    My Font Awesome installation/plugin already has “Font Awesome 4 Compatibility” on. I’m using FA5 on other places on the site.

    Do you have any approximate idea when your next major release is ready?

    And if possible, could you include an option in it to use already-installed Font Awesome, instead of installing it anew? 🙂 That would be really cool if you could.

    For now, my solution (essentially replacing the printed string with the new FA5 names) works, it’s just a bit of a messy fix IMO.

    Plugin Author YITHEMES

    (@yithemes)

    Hi there

    Do you have any approximate idea when your next major release is ready?

    Unfortunately we don’t have any ETA yet

    And if possible, could you include an option in it to use already-installed Font Awesome, instead of installing it anew?

    We will consider this as a possible addition for future release; thank you for your suggestion

    Okay, thank you.

    Hi! I am having the same problem. Here is my url: http://vivianag.sg-host.com/
    How can I fix it? Could you give me some guidance please? Thanks.
    Viviana.

    Plugin Author YITHEMES

    (@yithemes)

    @vivigonzab Please, try adding the following CSS rules to Additional CSS section of your theme customizer

    .yith-wcwl-icon::before,
    .yith-wcwl-share li a i:before,
    .wishlist-title i:before  {
        font-family: FontAwesome;
    }
    

    Thanks! It works now.

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.